Page MenuHomePhabricator

Run composer --version in CI jobs
Closed, ResolvedPublic

Description

Like we output PHP versions etc in CI jobs, it'd be useful if we ran composer --version and have it output to the logs for help with debugging/referencing

Details

Related Gerrit Patches:
integration/quibble : masterLog command versions

Event Timeline

Reedy created this task.Dec 3 2017, 5:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 3 2017, 5:23 PM
Reedy triaged this task as Low priority.Dec 3 2017, 5:23 PM
hashar moved this task from Backlog to Enhancement on the Quibble board.Mar 19 2019, 10:24 AM

Change 540413 had a related patch set uploaded (by Awight; owner: Awight):
[integration/quibble@master] Log command versions

https://gerrit.wikimedia.org/r/540413

awight moved this task from Enhancement to In progress on the Quibble board.Oct 2 2019, 1:57 PM
hashar assigned this task to awight.Oct 2 2019, 5:45 PM

Change 540413 merged by jenkins-bot:
[integration/quibble@master] Log command versions

https://gerrit.wikimedia.org/r/540413

hashar moved this task from In progress to Pending release on the Quibble board.Oct 4 2019, 8:05 PM
hashar added a subscriber: hashar.

Merged and pending a new release of Quibble

hashar closed this task as Resolved.Oct 8 2019, 9:07 PM

The feature has been implemented by @awight and is available in Quibble 0.0.36.